#!/usr/bin/env bash

ROOT=$(dirname `pwd`)

source ${ROOT}/scripts/default.env
cd ${ROOT}/scripts

mdc_dir=root@${MDC_SOC_A}:/opt/usr/home/mdc/${USERNAME}/${PROJECTNAME}
BuildDir=${ROOT}/build/cmake-build-${debug_or_release}-default_toolchain/clang-aos_gea-aarch64
scripts_dir=${ROOT}/scripts
src_dir=${ROOT}

save_dir_a=${ROOT}/tmpa

if [ ! -d $save_dir_a ]; then
    mkdir $save_dir_a
else
    rm -rf $save_dir_a/*
fi

#can
bash copy_one_module.sh $BuildDir/modules/can $save_dir_a $src_dir can canMsg \
    ${ROOT}/outputcfg/HostMachine/can_msg_node/CANMsgNodeProcess 2>/dev/null
#fcos
bash copy_one_module.sh $BuildDir/modules/camera_driving_perception_one/fcos $save_dir_a $src_dir camera_driving_perception_one camera_driving_perception_one_fcos_stripped \
    ${ROOT}/outputcfg/HostMachine/camera_driving_perception/CameraDrivingPerceptionProcess 2>/dev/null
#retinaNet
bash copy_one_module.sh $BuildDir/modules/camera_driving_perception_one/retinaNet $save_dir_a $src_dir camera_driving_perception_one RetinaNet \
    ${ROOT}/outputcfg/HostMachine/camera_driving_perception/CameraDrivingPerceptionProcess 2>/dev/null
#condlane
bash copy_one_module.sh $BuildDir/modules/camera_driving_perception_one/condlane $save_dir_a $src_dir camera_driving_perception_one condlane_swc_stripped \
    ${ROOT}/outputcfg/HostMachine/camera_driving_perception/CameraDrivingPerceptionProcess 2>/dev/null
#dpc_dm
bash copy_one_module.sh $BuildDir/modules/DPC/decision $save_dir_a $src_dir decision dpc_decision \
    ${ROOT}/outputcfg/HostMachine/dpc_dm/DPCDMProcess 2>/dev/null
#dpc_sm
bash copy_one_module.sh $BuildDir/modules/DPC/SM_SDK $save_dir_a $src_dir SM_SDK dpc_sm \
    ${ROOT}/outputcfg/HostMachine/dpc_sm/DPCSMProcess 2>/dev/null
#dpc_em
bash copy_one_module.sh $BuildDir/modules/DPC/dpc_em $save_dir_a $src_dir dpc_em mpc_drv_ctap_rm \
    ${ROOT}/outputcfg/HostMachine/dpc_em/DPCEMProcess 2>/dev/null
#slam
bash copy_one_module.sh $BuildDir/modules/DPC/salme_src/jac_slam $save_dir_a $src_dir salme_src SlamExe \
    ${ROOT}/outputcfg/HostMachine/slam/SLAMProcess 2>/dev/null
#dpc_trpc_lat
bash copy_one_module.sh $BuildDir/modules/DPC/TRPC_Lat_SDK $save_dir_a $src_dir TRPC_Lat_SDK dpc_trpclat \
    ${ROOT}/outputcfg/HostMachine/dpc_trpc_lat/DPCTRPCLatProcess 2>/dev/null
#dpc_trpc_long
bash copy_one_module.sh $BuildDir/modules/DPC/TRPC_Long_SDK $save_dir_a $src_dir TRPC_Long_SDK dpc_trpclong \
    ${ROOT}/outputcfg/HostMachine/dpc_trpc_long/DPCTRPCLongProcess 2>/dev/null
#dpc_ved
bash copy_one_module.sh $BuildDir/modules/DPC/VED_SDK $save_dir_a $src_dir VED_SDK dpc_ved \
    ${ROOT}/outputcfg/HostMachine/dpc_ved/DPCVEDProcess 2>/dev/null
#dpc_fusion
bash copy_one_module.sh $BuildDir/modules/DPC/fusion $save_dir_a $src_dir fusion fusion \
    ${ROOT}/outputcfg/HostMachine/fusion/FusionProcess 2>/dev/null
#lidar_inno_front
bash copy_one_module.sh $BuildDir/modules/lidar_inno $save_dir_a $src_dir lidar_inno lidar_inno_front \
    ${ROOT}/outputcfg/HostMachine/lidar_inno/LidarInnoProcess 2>/dev/null

bash copy_one_module.sh $BuildDir/modules/lidar_hesai $save_dir_a $src_dir lidar_hesai_right lidar_hesai_right \
    ${ROOT}/outputcfg/HostMachine/lidar_hesai_right/LidarHesaiRightProcess 2>/dev/null

bash copy_one_module.sh $BuildDir/modules/lidar_hesai $save_dir_a $src_dir lidar_hesai_left lidar_hesai_left \
    ${ROOT}/outputcfg/HostMachine/lidar_hesai_left/LidarHesaiLeftProcess 2>/dev/null
#lidar_perception
bash copy_one_module.sh $BuildDir/modules/lidar_perception_swc $save_dir_a $src_dir lidar_perception_swc lidar_perception \
    ${ROOT}/outputcfg/HostMachine/lidar_perception/LiDARPerceptionProcess 2>/dev/null
#visualizer
bash copy_one_module.sh $BuildDir/modules/visualizer $save_dir_a $src_dir visualizer visualization \
    ${ROOT}/outputcfg/HostMachine/visualization/VisualizationProcess 2>/dev/null


mkdir ${save_dir_a}/scripts
for f in ${SCRIPTS[@]}
do
    cp ${scripts_dir}/${f} ${save_dir_a}/scripts/${f} -r
done

cp ${scripts_dir}/run_all.sh ${save_dir_a}/scripts/run_all.sh
cp ${scripts_dir}/kill_all.sh ${save_dir_a}/scripts/kill_all.sh

sshpass -p Huawei12#$ ssh -t -p 22 -o StrictHostKeyChecking=no root@${MDC_SOC_A} "mkdir -p /opt/usr/home/mdc/${USERNAME}/${PROJECTNAME}" 2>/dev/null
sshpass -p Huawei12#$ scp -r -o StrictHostKeyChecking=no $save_dir_a/* $mdc_dir 2>/dev/null

rm -rf $save_dir_a
