#!/usr/bin/env bash

PWD=$(pwd)
ROOT=$(dirname ${PWD})
OUTPUT_DIR=${ROOT}
source ${ROOT}/scripts/default.env

for dir in "$ROOT"/*/; do
    MANIFEST_FOLDER=$(find "$dir" -maxdepth 1 -type d -name "manifest")
    if [ -n "$MANIFEST_FOLDER" ]; then
        break
    fi
done

if [ ! -n "$MANIFEST_FOLDER" ]; then
    echo "Couldn't find manifest folder"
    exit 0
fi

if [ ! ${MDS_INSTALL_DIR} ]; then
    echo "MDS installation directory is not correct"
    exit 0
fi

${MDS_INSTALL_DIR}/generate.sh gen -i ${MANIFEST_FOLDER} -o ${OUTPUT_DIR}
