#/bin/bash

sleep 1
bash kill_all.sh
sleep 1

mdc_dir=`dirname \`pwd\``

log_dir=${mdc_dir}/log
if [ ! -d $log_dir ]; then
    mkdir $log_dir
fi 

max_lines=10000

current_time=$(date +'%Y-%m-%d_%H-%M-%S') # 获取当前时间，格式为YYYY-MM-DD_HH-MM-SS



cd $mdc_dir/can
chmod +x start.sh
nohup bash start.sh >../log/log.canMsg_${current_time}  2>&1 &

cd $mdc_dir/lidar_inno/lidar_inno_front
chmod +x start.sh
nohup bash start.sh >../../log/log.lidar_inno_front_${current_time}  2>&1 &

cd $mdc_dir/lidar_inno/lidar_inno2_server >/dev/null 2>&1
chmod +x start.sh
nohup bash start.sh >../../log/log.lidar_inno2_server_${current_time}  2>&1 &

cd $mdc_dir/lidar_inno/lidar_inno3_server
chmod +x start.sh
nohup bash start.sh >../../log/log.lidar_inno3_server_${current_time}  2>&1 &

cd $mdc_dir/lidar_inno/lidar_inno4_server
chmod +x start.sh
nohup bash start.sh >../../log/log.lidar_inno4_server_${current_time}  2>&1 &

cd $mdc_dir/lidar_perception_swc
chmod +x start.sh
nohup bash start.sh >../log/log.lidar_perception_${current_time}  2>&1 &

cd $mdc_dir/fusion
chmod +x start.sh
nohup bash start.sh >../log/log.fusion_${current_time}  2>&1 &

cd $mdc_dir/decision
chmod +x start.sh
nohup bash start.sh >../log/log.dpc_dm_${current_time}  2>&1 &

cd $mdc_dir/SM_SDK
chmod +x start.sh
nohup bash start.sh >../log/log.dpc_sm_${current_time}  2>&1 &

cd $mdc_dir/dpc_em
chmod +x start.sh
nohup bash start.sh >../log/log.dpc_em_${current_time}  2>&1 &

cd $mdc_dir/salme_src
chmod +x start.sh
nohup bash start.sh >../log/log.slam_${current_time}  2>&1 &

cd $mdc_dir/TRPC_Lat_SDK
chmod +x start.sh
nohup bash start.sh >../log/log.dpc_trpc_lat_${current_time}  2>&1 &

cd $mdc_dir/TRPC_Long_SDK
chmod +x start.sh
nohup bash start.sh >../log/log.dpc_trpc_long_${current_time}  2>&1 &

cd $mdc_dir/VED_SDK
chmod +x start.sh
nohup bash start.sh >../log/log.dpc_ved_${current_time}  2>&1 &

cd $mdc_dir/visualizer
chmod +x start.sh
nohup bash start.sh >../log/log.visualization_${current_time}  2>&1 &

cd $mdc_dir/camera_driving_perception_one/fcos
chmod +x start.sh
nohup start.sh > ../../log/log.fcos_${current_time} 2>&1 &

cd $mdc_dir/camera_driving_perception_one/condlane
chmod +x start.sh
nohup start.sh > ../../log/log.condlane_${current_time} 2>&1 &

cd $mdc_dir/camera_driving_perception_one/retinaNet
chmod +x start.sh
nohup start.sh > ../../log/log.retinaNet_${current_time} 2>&1 &

# cd $mdc_dir
# while true; do
#     sleep 10 
#     for log_file in $(ls log.*); do
#         if [ $(wc -l < $log_file) -gt $max_lines ]; then
#             tail -n $max_lines $log_file > tmp.log
#             mv tmp.log $log_file
#         fi
#     done
# done
